-----------------------------------------------------------------------------------------------
-- Client Lua Script for ConstrainOff
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"
 
-----------------------------------------------------------------------------------------------
-- ConstrainOff Module Definition
-----------------------------------------------------------------------------------------------
local ConstrainOff = {} 
 
-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function ConstrainOff:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function ConstrainOff:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- ConstrainOff OnLoad
-----------------------------------------------------------------------------------------------
function ConstrainOff:OnLoad()
    -- load our form file
	self.xmlDoc = XmlDoc.CreateFromFile("ConstrainOff.xml")
	self.xmlDoc:RegisterCallback("OnDocLoaded", self)
end

-----------------------------------------------------------------------------------------------
-- ConstrainOff OnDocLoaded
-----------------------------------------------------------------------------------------------
function ConstrainOff:OnDocLoaded()
	if self.xmlDoc ~= nil and self.xmlDoc:IsLoaded() then
	    self.wndMain = Apollo.LoadForm(self.xmlDoc, "ConstrainOffForm", nil, self)
		
		if self.wndMain == nil then
			Apollo.AddAddonErrorText(self, "Could not load the main window for some reason.")
			return
		end
		OptionsInterface = Apollo.GetAddon("OptionsInterface")
		OptionsInterface.bConstrainWindows = false
	    self.wndMain:Show(false, true)

		-- if the xmlDoc is no longer needed, you should set it to nil
		-- self.xmlDoc = nil
		
		-- Register handlers for events, slash commands and timer, etc.
		-- e.g. Apollo.RegisterEventHandler("KeyDown", "OnKeyDown", self)


		-- Do additional Addon initialization here
	end
end
-----------------------------------------------------------------------------------------------
-- ConstrainOff Instance
-----------------------------------------------------------------------------------------------
local ConstrainOffInst = ConstrainOff:new()
ConstrainOffInst:Init()
